Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.tools.tslib
Enum AggregationMethod

    java.lang.Object
      java.lang.Enum<AggregationMethod>
          kieker.tools.tslib.AggregationMethod

All Implemented Interfaces:
  Serializable, Comparable<AggregationMethod>

    public enum AggregationMethod

extends Enum<AggregationMethod>

Since:
  1.10
Author:
  Tom Frotscher

Enum Constant Summary
`GEOMETRIC_MEAN` different aggregationmethods
`MAX`
`MEAN`
`MIN`
`PERCENTILE90`
`PERCENTILE95`
`PRODUCT`
`SUM`
`SUMLOG`
`SUMSQ`
`VARIANCE`

Method Summary
`double` | `getAggregationValue(double[] aggregationValues)` This method returns the result of the aggregation under one of the defined aggregation methods.
`static AggregationMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AggregationMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GEOMETRIC_MEAN

    public static final AggregationMethod GEOMETRIC_MEAN

  different aggregationmethods

### MAX

    public static final AggregationMethod MAX

### MEAN

    public static final AggregationMethod MEAN

### MIN

    public static final AggregationMethod MIN

### PERCENTILE90

    public static final AggregationMethod PERCENTILE90

### PERCENTILE95

    public static final AggregationMethod PERCENTILE95

### PRODUCT

    public static final AggregationMethod PRODUCT

### SUM

    public static final AggregationMethod SUM

### SUMLOG

    public static final AggregationMethod SUMLOG

### SUMSQ

    public static final AggregationMethod SUMSQ

### VARIANCE

    public static final AggregationMethod VARIANCE

Method Detail

### values

    public static AggregationMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AggregationMethod c : AggregationMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AggregationMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAggregationValue

    public double getAggregationValue(double[] aggregationValues)

  This method returns the result of the aggregation under one of the defined aggregation methods.

  Parameters:
    `aggregationValues` - Values to be aggregated
  Returns:
    Result of the aggregation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net